cURL
curl --request POST \ --url https://api.cekura.ai/test_framework/v1/scenarios/move_folder/ \ --header 'Content-Type: application/json' \ --header 'X-CEKURA-API-KEY: <api-key>' \ --data ' { "path": "<string>", "project_id": 123, "new_parent_path": "<string>" } '
{ "name": "<string>", "path": "<string>", "is_infrastructure_suite": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Move folder to new parent.
API Key Authentication. It should be included in the header of each request.
Current folder path to move. Example: "Sales.Inbound"
Project ID the folder belongs to
New parent folder path. Empty or null to move to root. Example: "Marketing"
Serializer for ScenarioFolder.
300
Human-readable path with case preservation
Whether this folder contains infrastructure suite scenarios